---
description: Docker Hub programs and policies for publishers
keywords: Docker, docker, store, publishers, publish images
title: Publisher & Certified Content Overview
---

Independent Software Vendors (ISVs) can utilize Docker Hub to distribute and
sell their Dockerized content. Publish your software through Docker Hub to
experience the following benefits:

* **Access to Docker’s large and growing customer-base.** Docker has experienced
  rapid adoption, and is popular in dev-ops environments. Docker users have
  pulled images over twelve billion times and they are increasingly turning to
  Docker Hub as the canonical source for high-quality, curated content.

* **Customers can try or buy your software**, right from your product listing.
  Your content is accessible for installation, trial, and purchase from
  Docker Hub and the Docker CLI.

* **Use of Docker licensing support.** Control who has access to your software:
  a) logged-in users, b) users who have purchased a license, or c) all Docker
  users. We’ll help you manage and control your distribution.

* **We handle checkout.** You don’t need to set up your own digital
  e-commerce site when you sell your content through Docker Hub. Choose
  how much you want to charge for your products and we handle the billing.

* **Seamless updates and upgrades for your customers.** We tell your customers
  when your content has upgrades or updates available.

* **Become Docker Certified.** Publisher container images and plugins that meet
  the quality, security, and support criteria of the program displays a
  “Docker Certified” badge within the Docker Hub (which can be used in
  external marketing).

## Distribution models

Docker Hub welcomes free and open-source content, as well as software sold
directly by publishers. We support the following commercial models:

### Licensed content through Docker Hub BYOL program

ISVs can use Docker Hub as an entitlement and distribution platform. Using
APIs provided by Docker, ISVs can entitle users and distribute their Dockerized
content to many different audiences:
* Existing customers that want their licensed software made available as Docker containers.
* New customers that are only interested in consuming their software as Docker containers.
* Trial or beta customers, where the ISV can distribute feature or time limited software.

Docker provides a fulfillment service so that ISVs can programmatically entitle
users, by creating subscriptions to their content in Docker Hub. For more
information, see [Bring Your Own License (BYOL) products on Hub](byol.md).

### Plugins and agents

ISVs have the ability to create and distribute [plugin images](https://hub.docker.com/search?certification_status=certified&q=&type=plugin) for their customers to integrate with the ISV's proprietary hardware or cloud infrastructure and Docker Enterprise deployments.

You can [apply to be a publisher](https://goto.docker.com/2019-Partner-Program-Technology.html) and learn more about our [Technology Partner Program](https://www.docker.com/partners/partner-program#/technology_partner).

## What's next?

* Learn about submitting products and content to Docker Hub, see the [publishers guide](publish.md) and the [publisher FAQs](publisher_faq.md).
* Learn about using Docker Hub to download content, see the [customer FAQs](customer_faq.md).
